package cn.com.qmth.mps.bean;

import com.qmth.boot.core.security.model.AccessEntity;

import cn.com.qmth.mps.enums.Role;

public class User implements AccessEntity{

    private Long id;

    private String name;

    private String sessionId;

    private String accessToken;

    private Role role;

    private Long activeTime;

    private Long schoolId;
    
    public String buildKey() {
        this.sessionId = new StringBuilder().append(role.name()).append("_").append(id).toString();
        return this.sessionId;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }

    public Long getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(Long activeTime) {
        this.activeTime = activeTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }
    @Override
    public String getIdentity() {
        return sessionId;
    }

    @Override
    public String getSecret() {
        return accessToken;
    }

    
}
