package cn.com.qmth.mps.config;

import java.util.Date;

import org.apache.ibatis.reflection.MetaObject;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;

import cn.com.qmth.mps.bean.User;
import cn.com.qmth.mps.util.ServletUtil;

public class FillMetaObjectHandler implements MetaObjectHandler {

	@Override
	public void insertFill(MetaObject metaObject) {
		User user = ServletUtil.getSessionUser();
		if (user != null) {
			this.setFieldValByName("creatorId", user.getId(), metaObject);
		}
		if(this.getFieldValByName("createTime", metaObject)==null) {
			this.setFieldValByName("createTime", new Date(), metaObject);
		}
	}

	@Override
	public void updateFill(MetaObject metaObject) {
		User user = ServletUtil.getSessionUser();
		if (user != null) {
			this.setFieldValByName("updaterId", user.getId(), metaObject);
		}
		this.setFieldValByName("updateTime", new Date(), metaObject);
	}

}
