package cn.com.qmth.mps.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

	/**
	 * 会话超时时间（秒）
	 */
	@Value("${session-timeout}")
    private Integer sessionTimeout;
	@Value("${wxapp-url}")
    private String wxappUrl;
	@Value("${wxapp-appid}")
    private String wxappAppid;
	
	@Value("${wxapp-secret}")
    private String wxappSecret;

	public Integer getSessionTimeout() {
		return sessionTimeout;
	}

	public void setSessionTimeout(Integer sessionTimeout) {
		this.sessionTimeout = sessionTimeout;
	}

	public String getWxappAppid() {
		return wxappAppid;
	}

	public void setWxappAppid(String wxappAppid) {
		this.wxappAppid = wxappAppid;
	}

	public String getWxappSecret() {
		return wxappSecret;
	}

	public void setWxappSecret(String wxappSecret) {
		this.wxappSecret = wxappSecret;
	}

	public String getWxappUrl() {
		return wxappUrl;
	}

	public void setWxappUrl(String wxappUrl) {
		this.wxappUrl = wxappUrl;
	}
    

	
}
