package cn.com.qmth.mps.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.com.qmth.mps.entity.PaperEntity;
import cn.com.qmth.mps.vo.exam.ExamPaperCountVo;
import cn.com.qmth.mps.vo.paper.PaperQuery;
import cn.com.qmth.mps.vo.paper.PaperStructInfoVo;
import cn.com.qmth.mps.vo.paper.PaperVo;

public interface PaperDao extends BaseMapper<PaperEntity> {

	List<ExamPaperCountVo> findPaperCount(@Param(value = "examIds") List<Long> examIds);

	IPage<PaperVo> page(Page<PaperVo> page,@Param(value = "req") PaperQuery query);

	List<PaperVo> myPaperlist(@Param(value = "examId")Long examId,@Param(value = "userId")Long userId);

	List<PaperStructInfoVo> subjectiveList(@Param(value = "req")PaperQuery query);

}
