package cn.com.qmth.mps.enums;

public enum Role {

    SUPER_ADMIN(1L,"超级管理员"),

    SCHOOL_ADMIN(2L,"机构管理员"),

    SECTION_LEADER(3L,"科组长"),

    ;
	private Long id;
    private String name;

    Role(Long id,String name) {
    	this.id = id;
        this.name = name;
    }

    public String getName() {
        return name;
    }

    
    public Long getId() {
		return id;
	}

	public static Role getByName(String name) {
        for (Role r : Role.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }
	public static Role getById(Long id) {
        for (Role r : Role.values()) {
            if (r.getId().equals(id)) {
                return r;
            }
        }
        return null;
    }
}
