package cn.com.qmth.mps.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.mps.bean.User;
import cn.com.qmth.mps.entity.ExamEntity;
import cn.com.qmth.mps.vo.exam.ExamDomain;
import cn.com.qmth.mps.vo.exam.ExamQuery;
import cn.com.qmth.mps.vo.exam.ExamVo;

public interface ExamService  extends IService<ExamEntity> {

	void syncExam(Long schoolId, User accessUser);

	void saveExam(ExamDomain domain, User accessUser);

	PageResult<ExamVo> page(ExamQuery query, User accessUser);

	List<ExamVo> unClose(User accessUser);

	ExamVo info(Long id, User accessUser);

	void checkExamStatus(Long examId);

}
