package cn.com.qmth.mps.support;

import io.swagger.annotations.ApiModelProperty;

/**
 * 状态响应实体
 *
 */
public class StatusResponse implements JsonSerializable {

	private static final long serialVersionUID = 8393074113722405560L;

	@ApiModelProperty(value = "响应编码", example = "001001", required = true)
	private Integer code;

	@ApiModelProperty(value = "响应描述", example = "密码错误", required = true)
	private String desc;

	/**
	 * 构造函数
	 *
	 */
	public StatusResponse() {
		super();
	}

	/**
	 * 构造函数
	 *
	 * @param code
	 * @param desc
	 */
	public StatusResponse(Integer code, String desc) {
		super();
		this.code = code;
		this.desc = desc;
	}

	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

}
