package cn.com.qmth.mps.vo;

import cn.com.qmth.mps.bean.User;
import cn.com.qmth.mps.enums.Role;

public class AdminLoginVo {
	private Long schoolId;
	
	private String schoolName;
	
	private String name;

    private String sessionId;

    private String accessToken;

    private Role role;

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
    
    public static AdminLoginVo of(User user) {
    	AdminLoginVo v=new AdminLoginVo();
    	v.setAccessToken(user.getAccessToken());
    	v.setRole(user.getRole());
    	v.setSessionId(user.getSessionId());
    	v.setName(user.getName());
    	return v;
    }

	public Long getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}

	public String getSchoolName() {
		return schoolName;
	}

	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}
    
    
}
