package cn.com.qmth.mps.vo.paper;

import java.util.List;

import cn.com.qmth.mps.bean.PaperDetail;
import cn.com.qmth.mps.bean.PaperGroup;
import cn.com.qmth.mps.entity.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

public class PaperInfoVo extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = -2271590671135347709L;
	@ApiModelProperty("试卷结构id")
	private Long id;
	@ApiModelProperty("学校id")
	private Long schoolId;
	@ApiModelProperty("考试id")
	private Long examId;
	@ApiModelProperty("科目id")
	private Long courseId;
	@ApiModelProperty("科目代码")
	private String courseCode;
	@ApiModelProperty("科目名称")
    private String courseName;
	@ApiModelProperty("试卷总分")
	private Double totalScore;
	@ApiModelProperty("主观总分")
	private Double subjectiveScore;
	@ApiModelProperty("试卷结构信息")
	private List<PaperDetail> structInfo;
	@ApiModelProperty("分组信息")
	private List<PaperGroup> groupInfo;
	@ApiModelProperty("分组是否完成")
	private Boolean groupFinish;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getSchoolId() {
		return schoolId;
	}
	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public Long getCourseId() {
		return courseId;
	}
	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Double getTotalScore() {
		return totalScore;
	}
	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
	public Double getSubjectiveScore() {
		return subjectiveScore;
	}
	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}
	
	public List<PaperDetail> getStructInfo() {
		return structInfo;
	}
	public void setStructInfo(List<PaperDetail> structInfo) {
		this.structInfo = structInfo;
	}
	public List<PaperGroup> getGroupInfo() {
		return groupInfo;
	}
	public void setGroupInfo(List<PaperGroup> groupInfo) {
		this.groupInfo = groupInfo;
	}
	public Boolean getGroupFinish() {
		return groupFinish;
	}
	public void setGroupFinish(Boolean groupFinish) {
		this.groupFinish = groupFinish;
	}

	
	
}
