package cn.com.qmth.mps;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.github.jeffreyning.mybatisplus.conf.EnableMPP;

@EnableMPP
@SpringBootApplication
@EnableAsync
@EnableScheduling
@Configuration
@MapperScan("cn.com.qmth.mps.dao")
public class ApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(ApiApplication.class, args);
    }

}
