package cn.com.qmth.mps.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.com.qmth.mps.entity.ExamEntity;
import cn.com.qmth.mps.vo.exam.ExamQuery;
import cn.com.qmth.mps.vo.exam.ExamVo;

public interface ExamDao extends BaseMapper<ExamEntity> {

	IPage<ExamVo> page(Page<ExamVo> page,@Param("req") ExamQuery query);

	List<ExamVo> unClose(@Param("schoolId")Long schoolId);

}
