package cn.com.qmth.mps.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.qmth.mps.bean.TreeNode;
import cn.com.qmth.mps.entity.base.AuditingEntity;
@TableName("mps_privilege")
public class PrivilegeEntity extends AuditingEntity implements TreeNode {

	private static final long serialVersionUID = -6288949236298877031L;
	
	/**
	 * 权限码
	 */
	private String code;

	/**
	 * 权限名称
	 */
	private String name;

	/**
	 * 父权限ID
	 */
	private Long parentId;


	/**
	 * 描述
	 */
	private String description;

	/**
	 * 排序
	 */
	private Integer seq = 0;

	/**
	 * 扩展属性
	 */
	private String ext1;

	/**
	 * 扩展属性
	 */
	private String ext2;

	/**
	 * 扩展属性
	 */
	private String ext3;

	/**
	 * 扩展属性
	 */
	private String ext4;

	/**
	 * 扩展属性
	 */
	private String ext5;


	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}


	public Integer getSeq() {
		return seq;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

	@Override
	public String getNodeId() {
		if (null == this.id) {
			return null;
		}
		return String.valueOf(this.id);
	}

	@Override
	public void setNodeId(String nodeId) {
		if (null == nodeId) {
			this.id = null;
		}
		this.id = Long.parseLong(nodeId);
	}

	@Override
	public String getNodeName() {
		if (null == this.name) {
			return null;
		}
		return String.valueOf(this.name);
	}

	@Override
	public void setNodeName(String nodeName) {
		this.name = nodeName;
	}

	@Override
	public String getParentNodeId() {
		if (null == this.parentId) {
			return null;
		}
		return String.valueOf(this.parentId);
	}

	@Override
	public void setParentNodeId(String parentNodeId) {
		if (null == parentNodeId) {
			this.parentId = null;
		}
		this.parentId = Long.parseLong(parentNodeId);
	}

	@Override
	public String getNodeCode() {
		return this.code;
	}

	@Override
	public void setNodeCode(String code) {
		this.code = code;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

}
