package cn.com.qmth.mps.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import cn.com.qmth.mps.service.SessionService;

@Service
public class ClearTimeOutUserJob {
	@Autowired
	private SessionService sessionService;
	@Scheduled(cron = "0/30 * * * * ?")
    public void clearTimeOutUser() {
		sessionService.clearTimeOutUser();
    }

}
