package cn.com.qmth.mps.service;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.mps.bean.PaperGroup;
import cn.com.qmth.mps.bean.User;
import cn.com.qmth.mps.entity.PaperGroupEntity;
import cn.com.qmth.mps.vo.paper.GroupCountVo;
import cn.com.qmth.mps.vo.paper.GroupInfoVo;
import cn.com.qmth.mps.vo.paper.GroupVo;
import cn.com.qmth.mps.vo.paper.PaperGroupDomain;

public interface PaperGroupService  extends IService<PaperGroupEntity> {

	List<GroupCountVo> findGroupCount(@Param(value = "paperIds")List<Long> paperIds);

	List<PaperGroup> getGroupInfo(Long paperId);

	List<GroupVo> groupList(Long paperId, User accessUser);

	GroupInfoVo groupInfo(Long paperId, Integer groupNumber, User accessUser);

	void groupSave(PaperGroupDomain domain, User accessUser);

	void groupDelete(Long groupId, User accessUser);

	Boolean existsGroup(Long paperId);

	void groupClear(Long paperId, User accessUser);

}
