package cn.com.qmth.mps.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.mps.bean.PaperGroupUnit;
import cn.com.qmth.mps.entity.PaperGroupEntity;
import cn.com.qmth.mps.entity.PaperGroupUnitEntity;

public interface PaperGroupUnitService  extends IService<PaperGroupUnitEntity> {

	Map<Long, List<PaperGroupUnit>> getGroupInfo(Long paperId);

	void removeByGroupId(Long groupId);

	void saveUnit(PaperGroupEntity group, List<PaperGroupUnit> groupUnits);

	Integer countByPaperId(Long paperId);

	void clearByPaperId(Long paperId);

	List<PaperGroupUnitEntity> getByPaperId(Long paperId);

}
