package cn.com.qmth.mps.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.mps.bean.User;
import cn.com.qmth.mps.entity.PaperEntity;
import cn.com.qmth.mps.vo.exam.ExamPaperCountVo;
import cn.com.qmth.mps.vo.paper.PaperInfoVo;
import cn.com.qmth.mps.vo.paper.PaperQuery;
import cn.com.qmth.mps.vo.paper.PaperStructInfoVo;
import cn.com.qmth.mps.vo.paper.PaperVo;

public interface PaperService  extends IService<PaperEntity> {

	List<String> importPaper(Long examId, User accessUser, MultipartFile file);

	List<ExamPaperCountVo> findPaperCount(List<Long> examIds);

	Integer findPaperCount(Long examId);

	PageResult<PaperVo> page(PaperQuery query, User accessUser);

	List<PaperVo> list(Long examId, User accessUser);

	PaperInfoVo info(Long id, User accessUser);

	List<String> importSubjectStruct(Long examId, User accessUser, MultipartFile file);

	List<PaperStructInfoVo> subjectiveList(PaperQuery query,User user);

}
