package cn.com.qmth.mps.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.mps.bean.User;
import cn.com.qmth.mps.entity.SchoolEntity;
import cn.com.qmth.mps.vo.school.SchoolDomain;
import cn.com.qmth.mps.vo.school.SchoolQuery;
import cn.com.qmth.mps.vo.school.SchoolVo;

public interface SchoolService  extends IService<SchoolEntity> {

	void syncSchool(User accessUser);

	void saveSchool(User accessUser, SchoolDomain domain);

	PageResult<SchoolVo> page(SchoolQuery query, User accessUser);

	SchoolVo info(Long id, User accessUser);

	void toggle(List<Long> ids, Boolean enable, User accessUser);

}
