package cn.com.qmth.mps.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.mps.bean.User;
import cn.com.qmth.mps.entity.UserEntity;
import cn.com.qmth.mps.vo.user.UserDomain;
import cn.com.qmth.mps.vo.user.UserQuery;
import cn.com.qmth.mps.vo.user.UserVo;

public interface UserService  extends IService<UserEntity> {

	UserEntity getByLoginName(String phone);

	void saveUser(UserDomain domain,User user);

	List<String> importUser(Long schoolId,User user, MultipartFile file);

	PageResult<UserVo> page(UserQuery query, User user);

	UserVo info(Long id);

	void toggle(List<Long> ids, Boolean enable, User user);

	void updatePass(String password, User accessUser);

	void resetPass(Long userId, String passwd, User accessUser);

	UserVo myInfo(User accessUser);


}
