package cn.com.qmth.mps.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.qmth.mps.dao.WxappInfoDao;
import cn.com.qmth.mps.entity.WxappInfoEntity;
import cn.com.qmth.mps.service.WxappInfoService;

@Service
public class WxappInfoServiceImpl extends ServiceImpl<WxappInfoDao, WxappInfoEntity> implements WxappInfoService {

	@Override
	public WxappInfoEntity getByOpenId(String openid) {
		QueryWrapper<WxappInfoEntity> wrapper = new QueryWrapper<>();
        LambdaQueryWrapper<WxappInfoEntity> lw = wrapper.lambda();
        lw.eq(WxappInfoEntity::getOpenid, openid);
        return this.getOne(wrapper);
	}


}
