package cn.com.qmth.mps.support;

import java.io.Serializable;

/**
 * 接口
 *
 */

public class ApiInfo implements Serializable {

	private static final long serialVersionUID = 1553810211239843543L;

	/**
	 * ID
	 */
	private Integer id;

	/**
	 * 映射
	 */
	private String mapping;

	/**
	 * mapping路径
	 */
	private String requestPath;

	/**
	 * http方法
	 */
	private String httpMethod;

	/**
	 * 接口描述
	 */
	private String description;

	/**
	 * 请求处理类
	 */
	private transient Class<?> beanType;

	/**
	 * 接口日志忽略堆栈
	 */
	private boolean withoutStackTrace;

	/**
	 * 接口裸奔
	 */
	private boolean naked;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getMapping() {
		return mapping;
	}

	public void setMapping(String mapping) {
		this.mapping = mapping;
	}

	public String getRequestPath() {
		return requestPath;
	}

	public void setRequestPath(String requestPath) {
		this.requestPath = requestPath;
	}

	public String getHttpMethod() {
		return httpMethod;
	}

	public void setHttpMethod(String httpMethod) {
		this.httpMethod = httpMethod;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Class<?> getBeanType() {
		return beanType;
	}

	public void setBeanType(Class<?> beanType) {
		this.beanType = beanType;
	}

	public boolean isWithoutStackTrace() {
		return withoutStackTrace;
	}

	public void setWithoutStackTrace(boolean withoutStackTrace) {
		this.withoutStackTrace = withoutStackTrace;
	}

	public boolean isNaked() {
		return naked;
	}

	public void setNaked(boolean naked) {
		this.naked = naked;
	}

}