package cn.com.qmth.mps.vo.paper;

import cn.com.qmth.mps.util.PagerQuery;
import io.swagger.annotations.ApiModelProperty;

public class PaperQuery extends PagerQuery {
	@ApiModelProperty("学校id")
	private Long schoolId;
	@ApiModelProperty("考试id")
	private Long examId;
	@ApiModelProperty("分组状态")
	private Boolean groupFinish;
	@ApiModelProperty("科目代码")
	private String courseCode;
	@ApiModelProperty("科目名称")
    private String courseName;
	@ApiModelProperty("总分起始值")
    private Double totalScoreMin;
	@ApiModelProperty("总分截止值")
    private Double totalScoreMax;
	public Long getSchoolId() {
		return schoolId;
	}
	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public Boolean getGroupFinish() {
		return groupFinish;
	}
	public void setGroupFinish(Boolean groupFinish) {
		this.groupFinish = groupFinish;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Double getTotalScoreMin() {
		return totalScoreMin;
	}
	public void setTotalScoreMin(Double totalScoreMin) {
		this.totalScoreMin = totalScoreMin;
	}
	public Double getTotalScoreMax() {
		return totalScoreMax;
	}
	public void setTotalScoreMax(Double totalScoreMax) {
		this.totalScoreMax = totalScoreMax;
	}
    
    
}
