package cn.com.qmth.mps.vo.paper;

import cn.com.qmth.mps.entity.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

public class PaperVo extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = -2271590671135347709L;
	@ApiModelProperty("试卷结构id")
	private Long id;
	@ApiModelProperty("学校id")
	private Long schoolId;
	@ApiModelProperty("考试id")
	private Long examId;
	@ApiModelProperty("考试名称")
	private String examName;
	@ApiModelProperty("科目id")
	private Long courseId;
	@ApiModelProperty("科目代码")
	private String courseCode;
	@ApiModelProperty("科目名称")
    private String courseName;
	@ApiModelProperty("试卷总分")
	private Double totalScore;
	@ApiModelProperty("主观总分")
	private Double subjectiveScore;
	@ApiModelProperty("试卷结构是否提交")
	private Boolean structFinish;
	@ApiModelProperty("分组是否完成")
	private Boolean groupFinish;
	@ApiModelProperty("分组数")
	private Integer groupCount;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getSchoolId() {
		return schoolId;
	}
	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public Long getCourseId() {
		return courseId;
	}
	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Double getTotalScore() {
		return totalScore;
	}
	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
	public Double getSubjectiveScore() {
		return subjectiveScore;
	}
	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}
	
	public Boolean getGroupFinish() {
		return groupFinish;
	}
	public void setGroupFinish(Boolean groupFinish) {
		this.groupFinish = groupFinish;
	}
	public Integer getGroupCount() {
		return groupCount;
	}
	public void setGroupCount(Integer groupCount) {
		this.groupCount = groupCount;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public Boolean getStructFinish() {
		return structFinish;
	}
	public void setStructFinish(Boolean structFinish) {
		this.structFinish = structFinish;
	}

	
	
}
