package cn.com.qmth.mps.vo.user;

import java.util.List;

import cn.com.qmth.mps.entity.base.BaseEntity;
import cn.com.qmth.mps.enums.Role;
import io.swagger.annotations.ApiModelProperty;

public class UserVo extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = -8438831917617025722L;
	@ApiModelProperty("用户id")
	private Long id;
	@ApiModelProperty("学校id")
	private Long schoolId;
	@ApiModelProperty("学校名称")
	private String schoolName;
	@ApiModelProperty("姓名")
	private String name;
	@ApiModelProperty("登录名")
	private String loginName;
	@ApiModelProperty("启用禁用")
	private Boolean enable;
	@ApiModelProperty("角色名")
	private String roleName;
	@ApiModelProperty("角色ID")
	private Long roleId;
	@ApiModelProperty("角色编码")
	private Role role;
	@ApiModelProperty("科目代码集合")
	private List<String> courseCodes;
	@ApiModelProperty("科目名称集合")
	private List<String> courseNames;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getSchoolId() {
		return schoolId;
	}
	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}
	public String getSchoolName() {
		return schoolName;
	}
	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getLoginName() {
		return loginName;
	}
	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}
	public Boolean getEnable() {
		return enable;
	}
	public void setEnable(Boolean enable) {
		this.enable = enable;
	}
	public Long getRoleId() {
		return roleId;
	}
	public void setRoleId(Long roleId) {
		this.roleId = roleId;
	}
	public List<String> getCourseCodes() {
		return courseCodes;
	}
	public void setCourseCodes(List<String> courseCodes) {
		this.courseCodes = courseCodes;
	}
	public List<String> getCourseNames() {
		return courseNames;
	}
	public void setCourseNames(List<String> courseNames) {
		this.courseNames = courseNames;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public Role getRole() {
		return role;
	}
	public void setRole(Role role) {
		this.role = role;
	}
	
}
